### Enumeration

# Gio FileMonitorEvent

since: 2.0

#### Declaration

    enum Gio.FileMonitorEvent

#### Description

Specifies what type of event a monitor event is.

Available since: 2.0

#### Members

`G_FILE_MONITOR_EVENT_CHANGED`

  A file changed.

  - Value: `0`
  - Nickname: `changed`
  - Available since: 2.0
`G_FILE_MONITOR_EVENT_CHANGES_DONE_HINT`

  A hint that this was probably the last change in a set of changes.

  - Value: `1`
  - Nickname: `changes-done-hint`
  - Available since: 2.0
`G_FILE_MONITOR_EVENT_DELETED`

  A file was deleted.

  - Value: `2`
  - Nickname: `deleted`
  - Available since: 2.0
`G_FILE_MONITOR_EVENT_CREATED`

  A file was created.

  - Value: `3`
  - Nickname: `created`
  - Available since: 2.0
`G_FILE_MONITOR_EVENT_ATTRIBUTE_CHANGED`

  A file attribute was changed.

  - Value: `4`
  - Nickname: `attribute-changed`
  - Available since: 2.0
`G_FILE_MONITOR_EVENT_PRE_UNMOUNT`

  The file location will soon be unmounted.

  - Value: `5`
  - Nickname: `pre-unmount`
  - Available since: 2.0
`G_FILE_MONITOR_EVENT_UNMOUNTED`

  The file location was unmounted.

  - Value: `6`
  - Nickname: `unmounted`
  - Available since: 2.0
`G_FILE_MONITOR_EVENT_MOVED`

  The file was moved — only sent if the (deprecated) `G_FILE_MONITOR_SEND_MOVED` flag is set.

  - Value: `7`
  - Nickname: `moved`
  - Available since: 2.0
`G_FILE_MONITOR_EVENT_RENAMED`

  The file was renamed within the current directory — only sent if the `G_FILE_MONITOR_WATCH_MOVES` flag is set. Since: 2.46.

  - Value: `8`
  - Nickname: `renamed`
  - Available since: 2.0
`G_FILE_MONITOR_EVENT_MOVED_IN`

  The file was moved into the monitored directory from another location — only sent if the `G_FILE_MONITOR_WATCH_MOVES` flag is set. Since: 2.46.

  - Value: `9`
  - Nickname: `moved-in`
  - Available since: 2.0
`G_FILE_MONITOR_EVENT_MOVED_OUT`

  The file was moved out of the monitored directory to another location — only sent if the `G_FILE_MONITOR_WATCH_MOVES` flag is set. Since: 2.46

  - Value: `10`
  - Nickname: `moved-out`
  - Available since: 2.0